#!/bin/sh

###############################################################
#   Usable environment variable:
#      VOLUME_NUMBER, DEVICE_X, MOUNTPOINT_X, TYPE_X,
#      LOCATION_X and RESULT
#
###############################################################

#At begining, acquire package settings
SYNODRTOOL_BINARY=/var/packages/SnapshotReplication/target/sbin/synodrtool

SYNODR_PKG_NAME="SnapshotReplication"
SYNODR_PKG_VERSION="1.0"
SYNODR_PKG_VENDOR="Synology Inc."
SYNODR_PKG_MODVER="1.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNODR_PKG_MODVER}
	;;
	--name)
		echo ${SYNODR_PKG_NAME}
	;;
	--pkg-ver)
		echo ${SYNODR_PKG_VERSION}
	;;
	--vendor)
		echo ${SYNODR_PKG_VENDOR}
	;;
	--pre)
		if [ -f "${SYNODRTOOL_BINARY}" ]; then
			${SYNODRTOOL_BINARY} "stop_or_wait"
		fi
	;;
	--post)
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
