#!/bin/sh

# See bug SR#2898, use share transform check only before dsm 6.2-23533
BUILDNUMBER=`/bin/get_key_value /etc.defaults/VERSION buildnumber`

if [ $BUILDNUMBER -gt 23534 ]; then
	exit 0
fi

SHARE_NAME=$1

SYNODRTOOL=/var/packages/SnapshotReplication/target/sbin/synodrtool

if [ ! -x "${SYNODRTOOL}" ]; then
	exit 0
fi

${SYNODRTOOL} share_transform_check "${SHARE_NAME}"
ret=$?

exit $ret
