BEGIN TRANSACTION;

CREATE TABLE IF NOT EXISTS sync_info_copy(plan_id TEXT PRIMARY KEY, sched_id INTEGER, is_send_encrypted INTEGER, is_sync_local_snapshots INTEGER, notify_time_in_min INTEGER, sync_window_enable INTEGER, sync_window TEXT, FOREIGN KEY (plan_id) REFERENCES plan (plan_id));

ALTER TABLE sync_info ADD COLUMN is_sync_local_snapshots INTEGER;
UPDATE sync_info SET is_sync_local_snapshots=0;

INSERT INTO sync_info_copy(plan_id, sched_id, is_send_encrypted, is_sync_local_snapshots, notify_time_in_min, sync_window_enable, sync_window) SELECT plan_id, sched_id, is_send_encrypted, is_sync_local_snapshots, notify_time_in_min, sync_window_enable, sync_window FROM sync_info;

DROP TABLE sync_info;
ALTER TABLE sync_info_copy RENAME TO sync_info;

DELETE FROM db_ver;
INSERT INTO db_ver (value) VALUES (8);

COMMIT TRANSACTION;
